-- 공격대 던전의 정확한 필터링을 위한 검색 순서목록. FP_DEFAULT_DUNGEON_LIST의 "공격대" 항목과 똑같은 string이여야 한다.
FP_RAID_ORDER = {
	[1] = "높은망치",
	[2] = "검은바위 용광로",
};

FP_RAID_LIST = {"높은망치","검은바위 용광로",
};

FP_DEFAULT_DUNGEON_LIST = {
	["공격대"] = {
		["높은망치"] = {"망치", "높망", "놉망"},
		["검은바위 용광로"] = {"용광로", "검용", "검바", "검바용"},
	},
	["구 공격대"] = {
		["황혼의 요새"] = {
			"황혼의 요새", -- [1]
			"황혼", -- [2]
			"요새", -- [3]
			"황요", -- [4]
		},
		["검은날개 강림지"] = {
			"검은날개 강림지", -- [1]
			"검날", -- [2]
			"강림지", -- [3]
			"검은날개", -- [4]
			"검강", -- [5]
		},
		["네 바람의 왕좌"] = {
			"네 바람의 왕좌", -- [1]
			"네바람", -- [2]
			"바람왕좌", -- [3]
			"바람", -- [4]
			"네 바람", -- [5]
			"바람의왕좌", -- [6]
			"바람의 왕좌", -- [7]
		},
		["바라딘 요새"] = {
			"바라딘 요새", -- [1]
			"바라딘", -- [2]
			"요새", -- [3]
			"바요", -- [4]
		},
		["얼음왕관 성채"] = {"얼음왕관", "얼왕", "얼성", "싸울", "사울", "리치", "부자", "교수", "라나", "신드"},
		["루비 성소"] = {"루비", "할리"},
		["십자군의 시험장"] = {"십자", "자군", "아눕"},
		["오닉시아의 둥지"] = {"오닉"},
		["울두아르"] = {"울두", "울드", "울돠르", "알갈", "요그", "미미", "베작", "토림"},
		["아카본 석실"] = {"아까본", "아카", "에말", "말론", "애말", "코랄", "토라", "토랄"},
		["낙스라마스"] = {"낙스", "불사신", "불멸자"},
		["흑요석 성소"] = {"흑요", "살타", "1비룡", "2비룡", "3비룡"},
		["영원의 눈"] = {"영원의눈", "영눈", "말리"},
		["주간 퀘스트"] = {"아눕레칸", "역병", "염병", "노스", "패치", "라주", "전차", "이그", "칼날", "해체", "헤체", "자락", "매로", "메로"},
		["태양샘 고원"] = {"태샘", "고원", "양샘", "킬제덴", "소리달"},
		["검은 사원"] = {"검은사원", "검사", "일리단", "아지"},
		["하이잘 정상"] = {"하이잘", "아키", "윈터칠"},
		["폭풍우 요새"] = {"폭풍우", "폭우", "폭요", "캘타", "켈타", "절단", "알라", "솔라"},
		["불뱀 제단"] = {"불뱀", "잠복", "바쉬"},
		["그룰의 둥지"] = {"그룰", "그롤", "마울"},
		["마그테리돈의 둥지"] = {"마그"},
		["줄아만"] = {"줄아만", "말라", "줄진"},
		["카라잔"] = {"카라잔", "칼잔", "말체"},
		["줄구룹"] = {"줄구룹", "줄굽", "줄룹"},
		["검은날개 둥지"] = {"검은날개", "검둥", "네파"},
		["화산 심장부"] = {"화산", "화심", "라그"},
		["안퀴라즈 사원"] = {"안퀴라즈", "사원", "쑨"},
		["안퀴라즈 폐허"] = {"폐허", "페허", "오시"},
		["불의 땅"] = {"불의 땅", "불땅", "불의땅"},
		["용의 영혼"] = {"용의 영혼", "용영", "영혼"},
		["모구샨 금고"] = {"모구샨 금고", "모구", "모구샨", "모금", "금고"},
		["공포의 심장"] = {"공포의 심장", "공포", "공심", "심장"},
		["영원한 봄의 정원"] = {"영원한 봄의 정원", "영원", "영봄", "정원", "영원정원", "봄정", "봄의 정원"},
		["천둥의 왕좌"] = {"천둥의 왕좌", "천둥", "왕좌", "천왕"},
		["오그리마 공성전"] = {"오그리마 공성전", "오공", "오그리마", "공성"},
	},
	["드레노어의 전쟁군주"] = {
		["피망치 광산"] = {"피망치","광산","피광",},
		["아킨둔"] = {"아킨","아둔",},
		["파멸철로 정비소"] = {"파멸","파멸철로","정비소","파철","파정","파철정",},
		["하늘탑"] = {"하늘","하탑",},
		["첨탑 상층"] = {"첨탑","첨상","상층",},
		["상록숲"] = {"상록","숲","상숲",},
		["어둠달 지하묘지"] = {"어둠달","지하묘지","어지","달묘","어둠묘지","묘지",},
		["강철 선착장"] = {"선착장","강선",},
	},
	["판다리아의 안개"] = {
		["옥룡사"] = {"옥룡사","옥룡",},
		["스톰스타우트 양조장"] = {"스톰스타우트 양조장","양조장","스톰",},
		["음영파 수도원"] = {"음영파 수도원","음영","수도원","음영수도원","음수",},
		["모구샨 궁전"] = {"모구샨 궁전","모궁","궁전",},
		["나우짜오 사원 공성전투"] = {"나우짜오 사원 공성전투","나우짜오","사원","나우사원",},
		["석양문"] = {"석양문","석양","사원","나우사원",},
		["스칼로맨스"] = {"스칼로맨스","스칼",},
		["붉은십자군 수도원"] = {"붉은십자군 수도원","수도원","붉은수도원",},
		["붉은십자군 전당"] = {"붉은십자군 전당","전당","붉은전당",},
		["무작위 던전"] = {"무작","무작위",},
	},
	["대격변"] = {
		["그림바톨"] = {
			"그림바톨", -- [1]
			"그림", -- [2]
			"바톨", -- [3]
		},
		["죽음의 폐광"] = {
			"죽음의 폐광", -- [1]
			"폐광", -- [2]
		},
		["검은바위 동굴"] = {
			"검은바위 동굴", -- [1]
			"검동", -- [2]
			"동굴", -- [3]
			"검은바위", -- [4]
		},
		["소용돌이 누각"] = {
			"소용돌이 누각", -- [1]
			"소용돌이", -- [2]
			"누각", -- [3]
			"소누", -- [4]
		},
		["그림자송곳니 성채"] = {
			"그림자송곳니 성채", -- [1]
			"성채", -- [2]
			"그송", -- [3]
			"송곳니", -- [4]
		},
		["바위심장부"] = {
			"바위심장부", -- [1]
			--"심장부", -- [2]
			"바심", -- [3]
		},
		["파도의 왕좌"] = {
			"파도의 왕좌", -- [1]
			"파도", -- [2]
			"파왕", -- [3]
		},
		["톨비르의 잃어버린 도시"] = {
			"톨비르의 잃어버린 도시", -- [1]
			"톨비르", -- [2]
		},
		["시초의 전당"] = {
			"시초의 전당", -- [1]
			"시초", -- [2]
			"전당", -- [3]
		},
		["시간의 끝"] = {
			"시간의 끝", -- [1]
			"시끝", -- [2]
			"시간끝", -- [3]
		},
		["영원의 샘"] = {
			"영원의 샘", -- [1]
			"영샘", -- [2]
			"영원샘", -- [3]
		},
		["황혼의 시간"] = {
			"황혼의 시간", -- [1]
			"황시", -- [2]
			"황혼", -- [3]
			"황혼시간", -- [4]
			"황시간", -- [5]
		},
		["무작위 던전"] = {
			"무작", -- [1]
			"무작위", -- [2]
		},
	},
	["노스렌드"] = {
		["무작위 던전"] = {"랜덤", "무작", "랜영"},
		["얼음왕관 3종"] = {"3종", "삼종"},
		["투영의 전당"] = {"투영", "전당"},
		--["사론의 구덩이"] = {"사론", "샤론", "구덩"}, --드레노어 구덩이공격과 충돌로인해 주석처리함
		["영혼의 제련소"] = {"제련", "제련소", "영제"},
		["용사의 시험장"] = {"용사", "마상"},
		["마력의 눈"] = {"마력의눈", "마눈"},
		["마력의 탑"] = {"마력의탑", "마탑"},
		["안카헤트: 고대 왕국"] = {"안카", "앙카"},
		["아졸네룹"] = {"아졸"},
		["옛 스트라솔름"] = {"옛스트", "옛솔름", "옛솔룸", "솔름", "솔룸"},
		["보랏빛 요새"] = {"보랏빛", "보요", "보라"},
		["우트가드 첨탑"] = {"첨탑"},
		["우트가드 성채"] = {"우트가드", "우트성채", "우트가드성채"},
		["번개의 전당"] = {"번개", "번전"},
		["돌의 전당"] = {"돌전", "돌의"},
		["드락타론 성채"] = {"드락"},
		["군드락"] = {"군드"},
	},
	["아웃랜드"] = {
		["메카나르"] = {"메카"},
		["알카트라즈"] = {"알카"},
		["신록의 정원"] = {"신록"},
		["어둠의 미궁"] = {"미궁"},
		["아키나이 납골당"] = {"납골"},
		["세데크 전당"] = {"세데크", "세덱", "새댁", "새댁"},
		["마나 무덤"] = {"마나"},
		["증기 저장고"] = {"증기"},
		["지하 수렁"] = {"수렁"},
		["강제 노역소"] = {"노역", "아훈"},
		["피의 용광로"] = {"용광"},
		["지옥불 성루"] = {"성루"},
		["으스러진 손의 전당"] = {"으스", "으손"},
		["검은 늪"] = {"검은늪", "검늪"},
		["옛 힐스브래드 구릉지"] = {"옛힐", "힐스"},
		["마법학자의 정원"] = {"마법학자", "마정", "정원", "매타조"},
	},
	["아제로스"] = {
		["검은바위 첨탑 상층"] = {"상층"},
		["검은바위 첨탑 하층"] = {"하층"},
		["스칼로맨스"] = {"스칼"},
		["스트라솔름"] = {"남작", "솔룸정문", "솔룸후문", "솔름정문", "솔름후문"},
		["혈투의 전장"] = {"혈투의전장", "혈장"},
		["검은바위 나락"] = {"나락"},
		["가라앉은 사원 "] = {"가라앉은사원", "학카르"},
		["마라우돈"] = {"마라우돈", "우동"},
		["줄파락"] = {"줄파락", "즐파락"},
		["울다만"] = {"울다만"},
		["가시덩굴 구릉"] = {"구릉"},
		["붉은십자군 수도원"] = {"수도원"},
		["놈리건"] = {"놈리건"},
		["가시덩굴 우리"] = {"우리"},
		["스톰윈드 지하감옥"] = {"지하감옥"},
		["그림자송곳니 성채"] = {"송곳니", "그송"},
		["검은심연의 나락"] = {"심연"},
		["통곡의 동굴"] = {"통곡"},
		["죽음의 폐광"] = {"폐광"},
		["성난불길 협곡"] = {"성난불길", "성불"}
	},
	["명예"] = {
		["투기장"] = {"투기장", "2대2" ,"3대3", "5대5", "2vs2", "3vs3", "5vs5"},
		["알터랙 계곡"] = {"알터랙", "알방"},
		["전쟁노래 협곡"] = {"전쟁노래", "노래방", "놀방"},
		["아라시 분지"] ={"아라시", "분지"},
		["폭풍의 눈"] = {"폭풍의눈", "폭눈"},
		["고대의 해안"] = {"고대의해안", "고해"},
		["겨울손아귀 전투"] = {"겨울손아귀", "겨손"},
		["정복의 섬"] = {"정복의섬", "정섬"},
		["수장"] = {"수장", "국왕", "아포", "스톰", "오그", "썬더", "쓰랄", "스랄", "실바", "케론", "실버문", "티란데", "액소", "엑소", "밸렌", "벨렌", "밸랜", "벨랜"},
	},
	["기타"] = {
		["구덩이 공격"] = {"구덩이","구덩이공격","구덩이일퀘"},
		["샤트라스 심장부 공격"] = {"샤트라스", "심장부","샤트일퀘"},
		["강철 호드의 침략!"] = {"호드침략", "주둔지침략","호드의"},
		["리로이"] = {"리로이"},
		["크로만"] = {"크로만"},
		["추종자"] = {"추종자"},
		["파괴의 현신 드로브"] = {"드로브"},	
		["영생의 탈르나"] = {"탈르나","탈르나22","탈르나333","탈르나4444"},	
		["루크마르"] = {"루크마르"},
	}
};

-- 높은 던전이 위로.
FP_DUNGEON_MODE_ORDER = {
--	[1] = "25인",
--	[2] = "10인",
--	[3] = "25인 영웅",
--	[4] = "10인 영웅",
--	[1] = "탄력",
	[1] = "일반",
	[2] = "영웅",
	[3] = "신화",
--	[8] = "업적",
--	[9] = "귀속",
--	[10] = "명예",
};

-- 여러가지가 동시에 존재할 경우 가장 최상위 던전으로 분류
FP_DUNGEON_MODE = {
--	["25인 영웅"] = {},
--	["10인 영웅"] = {},
--	["25인"] = {"25", "25인", "/25", "25/", "2직"},
--	["10인"] = {"10", "10인", "1특", "8인", "1직"},
	["일반"] = {"일반", "일던", "1반", "(일)"},
	["영웅"] = {"영웅", "영던", "0던", "(영)", "O", "랜영","하드"},
	["신화"] = {"신화"},
--	["명예"] = {
--		"후딱", "가실", "구해", "모십", "오심", "대기",
--		"호드", "얼라", "수장", "국왕", "스랄", "실바", "오그", "언더", "아포", "스톰",
--		"투기장", "2대2" ,"3대3", "5대5", "2vs2", "3vs3", "5vs5",
--		"겨울", "손아귀", "겨손",
--		"고대", "해안", "폭풍", "폭눈", "알터랙", "알방", "노래방", "아라시", "정섬"
--	},
};

FP_DUNGEON_MODE_ORDER = {"일반", "영웅", "신화"};

FP_CLASS_LIST = {
	["모두"] = {"모두", "아무나", "전직", "전클"},
	["성기사"] = {"탱", "딜", "힐", "기사", "박휘", "징기", "보기", "신기"},
	["전사"] = {"탱", "딜", "전사", "무분", "분무"},
	["사제"] = {"딜", "힐", "사제", "암사", "신사", "수사", "힐사"},
	["흑마법사"] = {"딜", "흑마", "악흑", "파흑", "고흑"},
	["마법사"] = {"딜", "법", "벗바"},
	["사냥꾼"] = {"딜", "냥", "밀렵"},
	["드루이드"] = {"탱", "딜", "힐", "드루", "야드", "조드", "회드", "얃", "좇", "좆", "나무", "짐승"},
	["도적"] = {"딜", "도적", "도닥", "돚거"},
	["주술사"] = {"딜", "힐", "술"},
	["죽음의 기사"] = {"탱", "딜", "죽", "데나", "얼발"},
	["수도사"] = {"탱", "딜", "힐","수도"}
};


FP_HELPS = {
	[1] = "|cffffff00---- 제작자 : thenotfound(섬게이트)",
	[2] = "|cffffff00---- 수정 : thenotfound, Zimbal2, Tycho74, 일분일초(스톰레이지), 영원이란",
	[3] = "|cffffff00--------------------     version |cffff0000"..tostring(FP_CURRENT_VERSION),
	[4] = "|cffffff00 사용법",
	[5] = "|cffffff00   리스트",
	[6] = "|cffffff00      왼쪽 클릭 : 선택",
	[7] = "|cffffff00      Alt + 왼쪽 클릭 : 파티 신청",
	[8] = "|cffffff00      Shift + 왼쪽 클릭 : 파티장 정보 보기",
	[9] = "|cffffff00      오른쪽 아래 귀퉁이 클릭 : 크기조정",
	[10] = " ",
	[11] = "|cffffff00   옵션",
	[12] = "|cffffff00     광고주기 : 파티광고 주기",
	[13] = "|cffffff00     유효시간 : 광고글 유지 시간",
	[14] = "|cffffff00     크기조정 : 전체 UI 크기",
	[15] = "|cffffff00     우클릭 파티 신청 : 목록에서 우클릭으로 파티 신청을 할 수 있음",
	[16] = "|cffffff00     귀속던전 제외 : 귀속된 던전을 목록에 뜨지 않게 함",
	[17] = "|cffffff00     ESC로 창 닫기 : ESC를 눌러서 파티찾기 창을 닫을 수 있음",
	[18] = "|cffffff00     자동 끄기 : 해당 인스턴스를 진행중에 도우미를 자동으로 비활성화",
	[19] = " ",
	[20] = "|cffffff00    기타",
	[21] = "|cffffff00      파티찾기 채널에는 미리 입장해 계셔야 합니다.",
	[22] = "|cffffff00      자동입장은 지원하지 않습니다.",
	[23] = "|cffffff00      단축키 설정 메뉴에 창열기/닫기 단축키를 지원합니다.",
};

FP_CLASS_COLORS = {
	["전사"] = RAID_CLASS_COLORS["WARRIOR"],
	["도적"] = RAID_CLASS_COLORS["ROGUE"],
	["사제"] = RAID_CLASS_COLORS["PRIEST"],
	["성기사"] = RAID_CLASS_COLORS["PALADIN"],
	["주술사"] = RAID_CLASS_COLORS["SHAMAN"],
	["마법사"] = RAID_CLASS_COLORS["MAGE"],
	["사냥꾼"] = RAID_CLASS_COLORS["HUNTER"],
	["흑마법사"] = RAID_CLASS_COLORS["WARLOCK"],
	["드루이드"] = RAID_CLASS_COLORS["DRUID"],
	["죽음의 기사"] = RAID_CLASS_COLORS["DEATHKNIGHT"],
	["수도사"] = RAID_CLASS_COLORS["MONK"],

	["WARRIOR"] = RAID_CLASS_COLORS["WARRIOR"],
	["ROGUE"] = RAID_CLASS_COLORS["ROGUE"],
	["PRIEST"] = RAID_CLASS_COLORS["PRIEST"],
	["PALADIN"] = RAID_CLASS_COLORS["PALADIN"],
	["SHAMAN"] = RAID_CLASS_COLORS["SHAMAN"],
	["MAGE"] = RAID_CLASS_COLORS["MAGE"],
	["HUNTER"] = RAID_CLASS_COLORS["HUNTER"],
	["WARLOCK"] = RAID_CLASS_COLORS["WARLOCK"],
	["DRUID"] = RAID_CLASS_COLORS["DRUID"],
	["DEATHKNIGHT"] = RAID_CLASS_COLORS["DEATHKNIGHT"],
	["MONK"] = RAID_CLASS_COLORS["MONK"],
};

FP_DUNGEON_NUM = {
--	["25인 영웅"] = 4,
--	["10인 영웅"] = 3,
--	["25인"] = 2,
--	["10인"] = 1,
	["일반"] = 0,
	["영웅"] = 1,
	["신화"] = 2,
--	["명예"] = 0,
--	["업적"] = 0,
--	["귀속"] = 0,
};

FP_DUNGEON_IGNORE_TEXT = {
	--'(영)' 으로 filtering할때 '영'이 겹치는 단어이므로 미리 제거해준다. lua의 string.find는 '(영)'과 '영'을 동일하게 처리해준다.(wow만의 문제?? standard spec을 확인해볼 필요는 있음.)
	"영약", "셔영", "해영", "아영", "세영",

	--parsing에 영향을 주는 문자열 및 불필요한 제거
	"or", "OR", "Or", "oR", "voice", "://",
	
	--시간 관련 문자열을 제거한다 (난이도 분류에 영향을 미침)
	"1시", "2시", "3시", "4시", "5시", "6시", "7시", "8시", "9시", "10시", "11시", "12시", "20시", "~1", "~10", "~20", "1~", "10~", "20~", "1:", "10:", "20:",
};
